package de.hacksaar.andtuer;

import android.content.Context;
import android.preference.EditTextPreference;
import android.util.AttributeSet;

public class IntegerTextPreference extends EditTextPreference {
	public IntegerTextPreference(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
	}

	public IntegerTextPreference(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public IntegerTextPreference(Context context) {
		super(context);
	}

	@Override
	protected String getPersistedString(String defaultReturnValue) {
		return String.valueOf(getPersistedInt(-1));
	}

	@Override
	protected boolean persistString(String value) {
		return persistInt(Integer.valueOf(value));
	}
}
